Package com.xebialabs.xlrelease.domain.utils

## Class syntax.TaskOps$

- java.lang.Object
- - com.xebialabs.xlrelease.domain.utils.syntax.TaskOps$

- Enclosing class:
    syntax

      public static class syntax.TaskOps$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static syntax.TaskOps$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskOps$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `scala.collection.Iterable<Dependency>` | `allDependencies$extension​(syntax.TaskOps $this)` |
    `scala.Option<GateTask>` | `asGateTask$extension​(syntax.TaskOps $this)` |
    `scala.collection.Iterable<Comment>` | `comments$extension​(syntax.TaskOps $this)` |
    `scala.collection.Iterable<Dependency>` | `dependencies$extension​(syntax.TaskOps $this)` |
    `boolean` | `equals$extension​(syntax.TaskOps $this, java.lang.Object x$1)` |
    `int` | `hashCode$extension​(syntax.TaskOps $this)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final syntax.TaskOps$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### TaskOps$

          public TaskOps$()

  - ### Method Detail

    - #### asGateTask$extension

          public final scala.Option<GateTask> asGateTask$extension​(syntax.TaskOps $this)

    - #### comments$extension

          public final scala.collection.Iterable<Comment> comments$extension​(syntax.TaskOps $this)

    - #### dependencies$extension

          public final scala.collection.Iterable<Dependency> dependencies$extension​(syntax.TaskOps $this)

    - #### allDependencies$extension

          public final scala.collection.Iterable<Dependency> allDependencies$extension​(syntax.TaskOps $this)

    - #### hashCode$extension

          public final int hashCode$extension​(syntax.TaskOps $this)

    - #### equals$extension

          public final boolean equals$extension​(syntax.TaskOps $this,
                                                java.lang.Object x$1)